Tryton Code Review Tool
Help | Bug tracker | Discussion group | Source code | Sign in
(2105)

Issue 51631002: sao: Call record.cancel when creation fails

Can't Edit
Can't Publish+Mail
Start Review
Created:
2 months, 2 weeks ago by pokoli
Modified:
6 days, 9 hours ago
Reviewers:
reviewbot, rietveld-bot, perilla, ced
Visibility:
Public.

Description

Patch Set 1 #

Total comments: 3

Patch Set 2 : Return prm and fix 80 cols #

Total comments: 4

Patch Set 3 : Return rejected promise and ensure defered is rejected #

Total comments: 4

Patch Set 4 : Return promise instead of managing nested promise #

Patch Set 5 : remove console.log #

Unified diffs Side-by-side diffs Delta from patch set Stats (+8 lines, -9 lines) Patch
M src/model.js View 1 2 1 chunk +6 lines, -1 line 0 comments Download
M src/screen.js View 1 2 3 4 2 chunks +2 lines, -8 lines 0 comments Download

Messages

Total messages: 25
pokoli
2 months, 2 weeks ago (2019-03-06 10:46:20 UTC) #1
reviewbot
flake8 OK URL: https://codereview.tryton.org/51631002
2 months, 2 weeks ago (2019-03-06 10:48:32 UTC) #2
ced
https://codereview.tryton.org/51631002/diff/267061002/src/model.js File src/model.js (right): https://codereview.tryton.org/51631002/diff/267061002/src/model.js#newcode518 src/model.js:518: this.id = this.model.execute('create', [[values]], context, false)[0]; 80 cols https://codereview.tryton.org/51631002/diff/267061002/src/model.js#newcode520 ...
2 months, 2 weeks ago (2019-03-10 11:17:18 UTC) #3
pokoli
Return prm and fix 80 cols
2 months, 1 week ago (2019-03-15 16:27:49 UTC) #4
reviewbot
flake8 OK URL: https://codereview.tryton.org/51631002
2 months, 1 week ago (2019-03-15 16:41:20 UTC) #5
ced
https://codereview.tryton.org/51631002/diff/259121002/src/model.js File src/model.js (right): https://codereview.tryton.org/51631002/diff/259121002/src/model.js#newcode521 src/model.js:521: return prm; I think it is better if it ...
2 months ago (2019-03-22 15:30:54 UTC) #6
pokoli
https://codereview.tryton.org/51631002/diff/259121002/src/model.js File src/model.js (right): https://codereview.tryton.org/51631002/diff/259121002/src/model.js#newcode521 src/model.js:521: return prm; On 2019/03/22 15:30:54, ced wrote: > I ...
2 months ago (2019-03-22 16:30:46 UTC) #7
ced
https://codereview.tryton.org/51631002/diff/259121002/src/model.js File src/model.js (right): https://codereview.tryton.org/51631002/diff/259121002/src/model.js#newcode521 src/model.js:521: return prm; On 2019/03/22 16:30:45, pokoli wrote: > On ...
2 months ago (2019-03-22 17:17:05 UTC) #8
pokoli
Return rejected promise and ensure defered is rejected
1 month, 3 weeks ago (2019-04-02 08:13:03 UTC) #9
pokoli
https://codereview.tryton.org/51631002/diff/259121002/src/model.js File src/model.js (right): https://codereview.tryton.org/51631002/diff/259121002/src/model.js#newcode521 src/model.js:521: return prm; On 2019/03/22 17:17:05, ced wrote: > On ...
1 month, 3 weeks ago (2019-04-02 08:13:27 UTC) #10
reviewbot
flake8 OK URL: https://codereview.tryton.org/51631002
1 month, 3 weeks ago (2019-04-02 08:25:29 UTC) #11
ced
https://codereview.tryton.org/51631002/diff/271191003/src/screen.js File src/screen.js (right): https://codereview.tryton.org/51631002/diff/271191003/src/screen.js#newcode1448 src/screen.js:1448: this.display().always(dfd.resolve); I do not understand this change.
1 month, 2 weeks ago (2019-04-02 22:09:40 UTC) #12
pokoli
https://codereview.tryton.org/51631002/diff/271191003/src/screen.js File src/screen.js (right): https://codereview.tryton.org/51631002/diff/271191003/src/screen.js#newcode1448 src/screen.js:1448: this.display().always(dfd.resolve); On 2019/04/02 22:09:40, ced wrote: > I do ...
1 month, 2 weeks ago (2019-04-03 15:59:31 UTC) #13
ced
https://codereview.tryton.org/51631002/diff/271191003/src/screen.js File src/screen.js (right): https://codereview.tryton.org/51631002/diff/271191003/src/screen.js#newcode1448 src/screen.js:1448: this.display().always(dfd.resolve); On 2019/04/03 15:59:30, pokoli wrote: > On 2019/04/02 ...
1 month, 2 weeks ago (2019-04-04 07:55:26 UTC) #14
ced
1 month, 2 weeks ago (2019-04-04 07:56:01 UTC) #15
pokoli
Return promise instead of managing nested promise
3 weeks, 2 days ago (2019-04-30 09:57:22 UTC) #16
pokoli
https://codereview.tryton.org/51631002/diff/271191003/src/screen.js File src/screen.js (right): https://codereview.tryton.org/51631002/diff/271191003/src/screen.js#newcode1448 src/screen.js:1448: this.display().always(dfd.resolve); On 2019/04/04 07:55:26, ced wrote: > On 2019/04/03 ...
3 weeks, 2 days ago (2019-04-30 09:59:18 UTC) #17
reviewbot
flake8 OK URL: https://codereview.tryton.org/51631002
3 weeks, 2 days ago (2019-04-30 10:07:41 UTC) #18
perilla
Remove log
3 weeks, 2 days ago (2019-04-30 10:46:12 UTC) #19
pokoli
remove console.log
3 weeks, 2 days ago (2019-04-30 11:47:20 UTC) #20
reviewbot
flake8 OK URL: https://codereview.tryton.org/51631002
3 weeks, 2 days ago (2019-04-30 12:00:39 UTC) #21
ced
LGTM
3 weeks, 2 days ago (2019-04-30 15:05:11 UTC) #22
rietveld-bot_tryton.org
New changeset cfc42be09a25 by Sergi Almacellas Abellana in branch 'default': Return rejected promise when creation ...
3 weeks, 1 day ago (2019-05-01 19:59:05 UTC) #23
rietveld-bot_tryton.org
New changeset ba30925d2995 by Sergi Almacellas Abellana in branch 'default': Return rejected promise when creation ...
3 weeks, 1 day ago (2019-05-01 19:59:06 UTC) #24
rietveld-bot_tryton.org
6 days, 9 hours ago (2019-05-17 10:53:36 UTC) #25
New changeset 8290b7b36a69 by Sergi Almacellas Abellana in branch '5.0':
Return rejected promise when creation fails
https://hg.tryton.org/sao/rev/8290b7b36a69


New changeset 35975ddc2b87 by Sergi Almacellas Abellana in branch '4.8':
Return rejected promise when creation fails
https://hg.tryton.org/sao/rev/35975ddc2b87
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld 0147766